Loading...
Searching...
No Matches
SolidPipeline Class Reference

## Public Member Functions

| SolidPipeline (const SolidPipeline &)=delete
| Probably don't want to support copy/assignment.
SolidPipeline & | operator= (const SolidPipeline &)=delete
void | initialize ()
| Initialize OpenGL objects.
void | begin ()
| Begin solid geometry rendering.
void | adjustOffset (const Camera &camera)
void | end ()
| End solid geometry rendering and apply screen-space shaders.
void | resize (int width, int height)
| Resize buffers for width x height viewport.
void | setPixelRatio (float ratio)
| Set pixel ratio (1.0 on standard displays, 2.0 on Retina, etc.).
bool | getAoEnabled ()
| Get or set whether Ambient Occlusion is enabled.
void | setAoEnabled (bool enabled)
bool | getDofEnabled ()
| Get or set whether Depth-of-feild is enabled.
void | setDofEnabled (bool enabled)
bool | getFogEnabled ()
| Get or set whether Fog is enabled.
void | setFogEnabled (bool enabled)
Vector4ub | backgroundColor () const
| Set Background Color to it's current value.
void | setBackgroundColor (const Vector4ub &c)
float | getAoStrength ()
| Get or set shadow strength for Ambient Occlusion.
void | setAoStrength (float strength)
float | getFogStrength ()
| Get or set fog strength.
void | setFogStrength (float strength)
float | getFogPosition ()
| Get or set fog position.
void | setFogPosition (float position)
bool | getEdEnabled ()
| Get or set whether Edge Detection is enabled.
void | setEdEnabled (bool enabled)
float | getDofStrength ()
| Get or set dof strength.
void | setDofStrength (float strength)
float | getDofPosition ()
| Set positon of dof.
void | setDofPosition (float position)
bool | getEdStrength ()
| Get or set the strength of the edge effect.
void | setEdStrength (float strength)

The documentation for this class was generated from the following file:

- solidpipeline.h